interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate, compress']
      User-Agent: [!!python/unicode rtv test suite PRAW/3.4.0 Python/2.7.6 Linux-3.13.0-85-generic-x86_64-with-Ubuntu-14.04-trusty]
    method: !!python/unicode GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 59747 characters]
    headers:
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      cf-ray: [2c54e103a0851ee9-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-length: ['40065']
      content-type: [application/json; charset=UTF-8]
      date: ['Wed, 20 Jul 2016 08:00:22 GMT']
      server: [cloudflare-nginx]
      set-cookie: ['__cfduid=d4bdf143e0e827f379d461e5f84b177fe1469001621; expires=Thu,
          20-Jul-17 08:00:21 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=QtqmUxJRDmIrs3ezhf;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Fri, 20-Jul-2018 08:00:21
          GMT; secure', 'loidcreated=2016-07-20T08%3A00%3A21.340Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Fri, 20-Jul-2018 08:00:21 GMT; secure']
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      vary: [accept-encoding]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=ck0AuX0df%2BqZczfXVFoD2q4u%2FaiGGADPYUbdhAyGvMBm4Q2nBU5znbDqoUFKc8ILVC2z7Uh3Z6Y%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate, compress']
      Cookie: [loid=QtqmUxJRDmIrs3ezhf; loidcreated=2016-07-20T08%3A00%3A21.340Z;
          __cfduid=d4bdf143e0e827f379d461e5f84b177fe1469001621]
      User-Agent: [!!python/unicode rtv test suite PRAW/3.4.0 Python/2.7.6 Linux-3.13.0-85-generic-x86_64-with-Ubuntu-14.04-trusty]
    method: !!python/unicode GET
    uri: https://api.reddit.com/r/python/search.json?q=search+term&restrict_sr=on
  response:
    body:
      string: !!binary |
[encoded data, 25245 characters]
        mJt//YVveEgL0ylH2JlP/vrr/wNLFmSFoVMBAA==
    headers:
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      cf-ray: [2c54e12950931ee9-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-length: ['16957']
      content-type: [application/json; charset=UTF-8]
      date: ['Wed, 20 Jul 2016 08:00:27 GMT']
      server: [cloudflare-nginx]
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      vary: [accept-encoding]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=vNTTtsvkmvpr7cpS7haPLe5Bm4suzFaV7EcxzcPedd8aOw4dM91GuznnPoRu78j2kkkNS9ML224%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
